Bug 117352 - savedefault command not documented
savedefault command not documented
Product: Fedora
Classification: Fedora
Component: grub (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Peter Jones
Mike McLean
Depends On:
  Show dependency treegraph
Reported: 2004-03-02 22:30 EST by Eli
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-02-01 22:16:21 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
Proposed fix for lack of savedefault in grub> help (425 bytes, patch)
2004-03-02 22:33 EST, Eli
no flags Details | Diff
Log of grub build failure (91.34 KB, text/plain)
2004-07-13 22:54 EDT, Eli
no flags Details

  None (edit)
Description Eli 2004-03-02 22:30:52 EST
From Bugzilla Helper: 
User-Agent: Mozilla/5.0 (compatible; Konqueror/3.1; Linux) 
Description of problem: 
I am using Fedora Core 1 on a remote system, and upgraded the kernel 
using yum.  I want it to boot the new kernel for the next boot only.  
Based on a bit of Googling and then looking at the source, 
specifically grub-0.91-bootonce.patch. 
savedefault needs to be documented. 
/sbin/grub --help 
grub> help 
man grub 
info grub 
do not mention the 'savedefault' command. 
grub> help savedefault 
Displays a helpful message.  Yay!  But if you know to ask for that 
help, then, um, you don't really need the help.  *doh* 
Version-Release number of selected component (if applicable): 
How reproducible: 
Steps to Reproduce: 
1.  # /sbin/grub 
2.  grub> help 
3.  *No mention of savedefault* 
Actual Results:  No mention of the savedefault command in any help 
or documentation that I could find. 
Expected Results:  I expected the command to be documented. 
Additional info:
Comment 1 Eli 2004-03-02 22:33:47 EST
Created attachment 98230 [details]
Proposed fix for lack of savedefault in grub> help

I /think/ this patch should do what I want.  HOWEVER, this is untested,
because an rpmbuild --rebuild of the grub-0.93-7 source rpm fails. *sigh*
Once I finish this bug report, I'll report that one too.
Comment 2 Bart Martens 2004-03-04 00:58:10 EST
info grub --index-search=savedefault

There are lots of commands not listed on the BUILTIN_HELP_LIST. It's a
matter of choice.
grep -B 2 BUILTIN grub-0.93/stage2/builtins.c|less

I could build grub with and without your patch.
$ rpmbuild -ba grub.spec > stdout.txt 2> stderr.txt && echo $?

Closing as "not a bug".
Comment 3 Eli 2004-07-13 22:54:23 EDT
Created attachment 101884 [details]
Log of grub build failure

$ rpm-build --rebuild grub-0.93-7.src.rpm > grub-rebuild 2>&1; echo $?

Find the build log failure attached.  Perhaps there is a build dependency
Comment 4 Eli 2005-02-01 22:16:21 EST
Originally reported against FC1.
In FC3, I was able to --rebuild the grub srpm.

Note You need to log in before you can comment on or make changes to this bug.